=== debian/control ===
Source: gr-osmosdr
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev,
 libboost-all-dev, swig, pkg-config, libhackrf-dev, libosmosdr-dev,
 librtlsdr-dev, libuhd-dev, gr-iqbal, liblog4cpp5-dev, doxygen
X-Python-Version: >= 2.7, << 2.8
Standards-Version: 3.9.4
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Git: http://cgit.osmocom.org/cgit/gr-osmosdr/

Package: gr-osmosdr
Architecture: any
Pre-Depends: multiarch-support
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 While primarily being developed for the OsmoSDR hardware, this block
 as well supports:
  -​FunCube Dongle through libgnuradio-fcd
  -​FUNcube Dongle Pro+ through ​gr-fcdproplus
  - sysmocom OsmoSDR Devices through ​libosmosdr
  -​Great Scott Gadgets HackRF through ​libhackrf
  -​Ettus USRP Devices through ​Ettus UHD library
  -​Fairwaves UmTRX through ​Fairwaves' fork of Ettus' UHD library
  - RTL2832U based DVB-T dongles through librtlsdr
  - RTL-TCP spectrum server (see librtlsdr project)
  - MSi2500 based DVB-T dongles through ​libmirisdr
  - gnuradio .cfile input through libgnuradio-blocks 
 .
 By using the OsmoSDR block you can take advantage of a common
 software api in your application(s) independent of the underlying
 radio hardware.

Package: libgnuradio-osmosdr0.0.0
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 This package contains the shared library.
