## gr-osmosdr 0.1.0.55.80c4af

=== debian/changelog ===
gr-osmosdr (0.1.0.55.80c4af-2) unstable; urgency=low

  * ship grc blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 03 Jan 2014 00:32:28 -0500

gr-osmosdr (0.1.0.55.80c4af-1) unstable; urgency=low

  * New upstream commit, build with gnuradio 3.7.2.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 31 Dec 2013 00:09:54 -0500
