=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev,
- libboost-all-dev, swig, pkg-config, libhackrf-dev, libosmosdr-dev,
- librtlsdr-dev, libuhd-dev, gr-iqbal, liblog4cpp5-dev, doxygen
+ libboost-all-dev, swig, pkg-config,
+ gr-fcdproplus [!hurd-i386 !powerpc],
+ libbladerf-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !sparc],
+ libhackrf-dev [!hurd-i386], libosmosdr-dev [!hurd-i386],
+ librtlsdr-dev, libuhd-dev, gr-iqbal [!hurd-i386 !powerpc],
+ liblog4cpp5-dev, doxygen
 X-Python-Version: >= 2.7, << 2.8
 Standards-Version: 3.9.4
 Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
@@ -21,16 +25,18 @@
  .
  While primarily being developed for the OsmoSDR hardware, this block
  as well supports:
-  -​FunCube Dongle through libgnuradio-fcd
-  -​FUNcube Dongle Pro+ through ​gr-fcdproplus
-  - sysmocom OsmoSDR Devices through ​libosmosdr
-  -​Great Scott Gadgets HackRF through ​libhackrf
-  -​Ettus USRP Devices through ​Ettus UHD library
-  -​Fairwaves UmTRX through ​Fairwaves' fork of Ettus' UHD library
-  - RTL2832U based DVB-T dongles through librtlsdr
-  - RTL-TCP spectrum server (see librtlsdr project)
-  - MSi2500 based DVB-T dongles through ​libmirisdr
-  - gnuradio .cfile input through libgnuradio-blocks 
+ - FUNcube Dongle through libgnuradio-fcd
+ - FUNcube Dongle Pro+ through gr-fcdproplus
+ - sysmocom OsmoSDR Devices through libosmosdr
+ - RTL2832U based DVB-T dongles through librtlsdr
+ - RTL-TCP spectrum server (see librtlsdr project)
+ - MSi2500 based DVB-T dongles through libmirisdr
+ - gnuradio .cfile input through libgnuradio-blocks
+ - RFSPACE SDR-IQ, SDR-IP, NetSDR (incl. X2 option)
+ - Great Scott Gadgets HackRF through libhackrf
+ - Nuand LLC bladeRF through libbladeRF library
+ - Ettus USRP Devices through Ettus UHD library
+ - Fairwaves UmTRX through Fairwaves' fork of UHD
  .
  By using the OsmoSDR block you can take advantage of a common
  software api in your application(s) independent of the underlying
