## gr-osmosdr 0.1.1.4.ac95af2

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 0)
 set(VERSION_INFO_API_COMPAT    1)
-set(VERSION_INFO_MINOR_VERSION 1)
+set(VERSION_INFO_MINOR_VERSION 2)
 set(VERSION_INFO_MAINT_VERSION git)
 include(GrVersion) #setup version info
 
@@ -158,6 +158,7 @@
 find_package(LibRTLSDR)
 find_package(LibMiriSDR)
 find_package(LibHackRF)
+find_package(LibAIRSPY)
 find_package(LibbladeRF)
 find_package(Doxygen)
