=== debian/changelog ===
gr-osmosdr (0.1.1.4.ac95af2-1) unstable; urgency=low

  * Update to v0.1.1-4-gac95af2
    reverting 66109099 rtl: implement methods allowing runtime to control
    sampling process
  * Build with gnuradio 3.7.3 (Closes: #743392)
  * Osmocom MiriSDR support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Apr 2014 19:22:49 -0400

gr-osmosdr (0.1.0.55.80c4af-2~bpo70~1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Feb 2014 16:57:11 -0500
