=== debian/control ===
Source: gr-osmosdr
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev (>=3.7.3),
 libboost-dev, libboost-system-dev, libboost-thread-dev, swig, pkg-config,
 gr-fcdproplus [!hurd-i386],
 gr-iqbal,
 libbladerf-dev [!hurd-i386],
 libhackrf-dev [!hurd-i386],
 libmirisdr-dev [!hurd-i386],
 libosmosdr-dev [!hurd-i386],
 librtlsdr-dev [!hurd-i386],
 libuhd-dev, liblog4cpp5-dev, doxygen
X-Python-Version: >= 2.7, << 2.8
Standards-Version: 3.9.5
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Git: http://cgit.osmocom.org/cgit/gr-osmosdr/

Package: gr-osmosdr
Architecture: any
Pre-Depends: multiarch-support
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 While primarily being developed for the OsmoSDR hardware, this block
 as well supports:
  - FUNcube Dongle through libgnuradio-fcd
  - FUNcube Dongle Pro+ through gr-fcdproplus
  - sysmocom OsmoSDR Devices through libosmosdr
  - RTL2832U based DVB-T dongles through librtlsdr
  - RTL-TCP spectrum server (see librtlsdr project)
  - MSi2500 based DVB-T dongles through libmirisdr
  - gnuradio .cfile input through libgnuradio-blocks
  - RFSPACE SDR-IQ, SDR-IP, NetSDR (incl. X2 option)
  - Great Scott Gadgets HackRF through libhackrf
  - Nuand LLC bladeRF through libbladeRF library
  - Ettus USRP Devices through Ettus UHD library
  - Fairwaves UmTRX through Fairwaves' fork of UHD
 .
 By using the OsmoSDR block you can take advantage of a common
 software api in your application(s) independent of the underlying
 radio hardware.

Package: libgnuradio-osmosdr0.1.1.4
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 This package contains the shared library.
