=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
               | sed -rne 's,^Version: ([^-]+).*,\1,p')
-GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')
+GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')
 
 %:
 	dh $@ --with python2
@@ -25,5 +25,5 @@
 
 get-orig-source: version-to-get
 	git clone git://git.osmocom.org/gr-osmosdr
-	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | gzip > ../gr-osmosdr_$(VER).orig.tar.gz
+	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | xz > ../gr-osmosdr_$(VER).orig.tar.xz
 	rm -rf gr-osmosdr
