=== debian/changelog ===
gr-osmosdr (0.1.3-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 03:33:04 +0000

gr-osmosdr (0.1.3-2) unstable; urgency=low

  * Add versioned depends for bladerf (Closes: #759927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Sep 2014 23:57:56 -0400

gr-osmosdr (0.1.3-1) unstable; urgency=low

  * New upstream release
  * build with gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 22:21:12 -0400

gr-osmosdr (0.1.2-1) unstable; urgency=low

  * New upstream release, update to v0.1.2-2-g8604d76
  * Include airspy support
  * pkg-gr-osmosdr git for Debian packaging (Closes: #759268)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Aug 2014 14:37:08 -0400
