=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gr-osmosdr
 Section: libdevel
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev (>=3.7.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev (>=3.7.5),
  libboost-dev, libboost-system-dev, libboost-thread-dev, swig, pkg-config,
  gr-fcdproplus [!hurd-i386],
- gr-iqbal,
- libbladerf-dev [!hurd-i386],
+ gr-iqbal, libairspy-dev [!hurd-i386],
+ libbladerf-dev (>=0.2014.09~rc2) [!hurd-i386],
  libhackrf-dev [!hurd-i386],
  libmirisdr-dev [!hurd-i386],
  libosmosdr-dev [!hurd-i386],
@@ -15,7 +16,8 @@
 X-Python-Version: >= 2.7, << 2.8
 Standards-Version: 3.9.5
 Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
-Vcs-Git: http://cgit.osmocom.org/cgit/gr-osmosdr/
+Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-osmosdr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/bottoms/pkg-gr-osmosdr.git;a=summary
 
 Package: gr-osmosdr
 Architecture: any
@@ -45,12 +47,14 @@
  software api in your application(s) independent of the underlying
  radio hardware.
 
-Package: libgnuradio-osmosdr0.1.1.4
+Package: libgnuradio-osmosdr0.1.3v5
 Section: libs
 Architecture: any
 Pre-Depends: multiarch-support, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
+Conflicts: libgnuradio-osmosdr0.1.3
+Replaces: libgnuradio-osmosdr0.1.3
 Description: Gnuradio blocks from the OsmoSDR project
  The Osmocom project is a family of projects regarding Open source
  mobile communications.
